ghci-8.0.2: The library supporting GHC's interactive interpreter

Safe Haskell | None
Language | Haskell2010

GHCi.BreakArray

Description

Break Arrays

An array of bytes, indexed by a breakpoint number (breakpointId in Tickish) There is one of these arrays per module.

Each byte is 1 if the corresponding breakpoint is enabled 0 otherwise

# Documentation

data BreakArray Source #

Constructors

BA (MutableByteArray# RealWorld) |

newBreakArray :: Int -> IO BreakArray Source #

getBreak :: BreakArray -> Int -> IO (Maybe Word8) Source #

setBreakOn :: BreakArray -> Int -> IO Bool Source #

setBreakOff :: BreakArray -> Int -> IO Bool Source #

showBreakArray :: BreakArray -> IO () Source #